> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://allianz.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://allianz.ferndocs.com/_mcp/server.

# Returns price from PriceVerification service

POST https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/priceVerifications
Content-Type: application/json

Reference: https://allianz.ferndocs.com/api-reference/core/price-verifications/create

## Servers

- `https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI` (Staging, default)
- `https://gateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI` (Production)

## Request

### Headers

- `FS-Distributor-Code` (string, required)

### Body (application/json)

This endpoint expects an optRequest.

- `additionalItems` (list of optSchemas/properties/AdditionalItem, optional) — Additional items already selected as purchased by customer (these products will not optimized)
- `credentials` (Credentials, optional) — Partner Credentials
- `customerAddress` (optSchemas/properties/Address, optional) — Object describing the address of customer, company or other entity
- `customers` (list of optSchemas/properties/Customer, optional)
- `events` (list of optSchemas/properties/Event, optional)
- `features` (list of Feature, optional) — Describes the feature/alternatives that were previously selected
- `gadget` (optSchemas/properties/Gadget, optional) — Gadget Information
- `incidents` (optSchemas/properties/Incident, optional) — Incident Information
- `lodgings` (list of optSchemas/properties/Lodging, optional)
- `partner` (optSchemas/properties/Partner, optional) — Partner Information
- `providers` (list of optSchemas/properties/Provider, optional)
- `rentalCars` (list of optSchemas/properties/RentalCar, optional)
- `requestDetail` (optSchemas/properties/RequestDetail, optional) — Request Details
- `travel` (optSchemas/properties/Travel, optional) — Travel Information
- `products` (optSchemas/properties/RequestProduct, optional) — Request Product
- `vehicles` (optSchemas/properties/Vehicle, optional) — Vehicle Information

## Response

### 200

Success

## Types

### optSchemas/properties/AdditionalItem

Additional Item Information

- `cost` (double, optional) — The cost of the additional item.
- `currencyType` (string, optional) — The type of currency being used in the form of the three character ISO format currency code.
- `description` (string, optional) — The description of the product.
- `externalIdentifier` (string, optional) — The identifier used by the partner.
- `name` (string, optional) — The name of the associated product.
- `options` (list of optSchemas/properties/Option, optional)
- `quantity` (integer, optional) — The number of the products in the request.
- `sequence` (integer, optional) — The sequence of the associated product.
- `totalCost` (double, optional) — Quantity x Cost

### Credentials

Partner Credentials

- `password` (string, optional) — Password set by Allianz for the Partner. Allianz will validate each request using Partner's ACCAM, User Id and Password.
- `userName` (string, optional) — The user name assigned to the partner by Allianz.

### optSchemas/properties/Address

Object describing the address of customer, company or other entity

- `address1` (string, optional) — First line of address. Masked persistence (replacing every char with x).
- `address2` (string, optional) — Second line of address. Masked persistence (replacing every char with x).
- `city` (string, optional) — Address city. Masked persistence (replacing every char with x).
- `country` (string, optional) — The country for this address.
- `postalCode` (string, optional) — The postal code for this address. Masked persistence (replacing every char with x).
- `region` (string, optional) — The abbreviation or code for state, province, or region. Referenced in Origin elements in for travel.

### optSchemas/properties/Customer

Customer Information.

- `customerType` (any, required) — Descriptive category for the traveler.
- `sequence` (integer, required) — The sequential order of the primary customer in the list. In most cases this would be the first position in the list.
- `address` (optSchemas/properties/Address, optional) — Object describing the address of customer, company or other entity
- `age` (integer, optional) — Age of the customer.
- `assistanceType` (string, optional) — These are values provided by the partner which provide information into what type of assistance is needed by the customer during their travel.
- `birthDate` (datetime, optional) — Birth-date of the customer. Persisted as 1/1/1900.
- `canPersist` (boolean, optional) — Indicates whether the customer information may be persisted to the Allianz database.
- `customerId` (string, optional) — Unique identifier assigned by the Partner to determine if the customer is a repeat purchaser. If provided, will allow Allianz Partners to cross-sell to traveler. The Partner must hash this value as it is considered a PII data value and must be hashed.
- `demographicInfo` (any, optional)
- `discountType` (string, optional) — Type of discount used by the customer.
- `emailAddress` (string, optional) — Email address of policyholder. Do not persist.
- `firstName` (string, optional) — First name of customer. Masked persistence (replacing every char with x).
- `gender` (string, optional) — Gender of the customer.
- `includeForPricing` (boolean, optional) — Indicates should be included in Allianz internal traveler group pricing.
- `includeInGroupDetermination` (boolean, optional) — Indicates should be included in Allianz internal traveler group pricing.
- `lastName` (string, optional) — Last name of customer. Masked persistence (replacing every char with x).
- `motorRelated` (list of optSchemas/properties/MotorRelated, optional)
- `memberships` (list of optSchemas/properties/Membership, optional)
- `middleInitial` (string, optional) — Middle initial of traveler. Do not persist.
- `nationality` (string, optional) — Nationality of the customer
- `okToContact` (boolean, optional) — Indicates whether marketing representatives may contact the customer.
- `options` (list of optSchemas/properties/Option, optional)
- `phones` (list of any, optional)
- `relationshipToPrimary` (string, optional) — Relationship of the person in the sequence to the primary customer.
- `salutation` (string, optional) — The nickname or greeting the customer prefers to be called. Masked persistence (replacing every char with x).
- `suffix` (string, optional) — A name suffix if used. Do not persist
- `title` (string, optional) — A personal title if used. Do not persist
- `totalCost` (double, optional) — Travel cost per traveler. Individual cost relating to the transaction item (Motor or Travel or Event etc..)
- `statusQualificationMiles` (double, optional) — Number of miles currently accumulated towards the customer's status for the following year
- `statusQualificationSegments` (double, optional) — Number of flight segments currently accumulated towards the customer's status for the following year.
- `statusQualificationAmount` (double, optional) — Value of purchased flights currently accumulated towards the customer's status for the following year.
- `statusCardSpend` (double, optional) — Total spend on branded credit card that can be used towards waiving other requirements for gaining status.

### optSchemas/properties/Event

Event Information

- `endDate` (datetime, required) — The date the event will end.
- `eventName` (string, required) — The name of the event or show in the booking.
- `majorCategory` (string, required) — The main category of the event.
- `startDate` (datetime, required) — The start date of the event.
- `totalCost` (double, required) — The total cost including taxes, fees and surcharges.
- `artistId` (integer, optional) — The id given to the artist by the booking agent.
- `artistName` (string, optional) — The name of the artist being booked.
- `customerSequences` (list of integer, optional) — Represents the sequential order in the list of the specific customer to which the event applies.
- `eventEndDateLocal` (datetime, optional) — The date the event will end in local time.
- `isPremiumSeat` (boolean, optional) — Indicates whether the ticket is a premium ticket (TRUE), for example Official Platinum Ticket, or a standard seat (FALSE)
- `isOvernightEvent` (boolean, optional) — Indicates whether an event is an overnight event (TRUE)
- `minorCategory` (string, optional) — The sub-category of the event.
- `numberOfHours` (integer, optional) — The number of hours the event is scheduled to last.
- `offerTypes` (list of optSchemas/properties/OfferType, optional)
- `onSaleDate` (datetime, optional) — The date booking is opened for the event.
- `options` (list of optSchemas/properties/Option, optional)
- `outdoorEvent` (boolean, optional) — Indicates whether the event will be outdoors.
- `preSaleDate` (datetime, optional) — The date that booking is opened for pre-sale tickets.
- `refundable` (string, optional) — Indicates that the booking is refundable
- `sequence` (integer, optional) — The sequential order of the event when multiple events are being booked.
- `TicketHolders` (list of optSchemas/properties/Person, optional)
- `eventStartDateLocal` (datetime, optional) — The start date of the event in local time.
- `ticketLimit` (integer, optional) — The ticket limit per person.
- `ticketSalesType` (string, optional) — The type of tickets sold.
- `ticketType` (string, optional) — Shows ticket type.
- `venue` (optSchemas/properties/Location, optional) — Object describing a geographical location or airport
- `venueName` (string, optional) — The name of the venue
- `venuePostalCode` (string, optional) — The postal code for the venue.

### Feature

Represents a feature from which one or more alternatives are selected using some form of sampling (random weighting, scoring, contextual, etc.)

- `code` (string, optional) — A string that uniquely defines the feature from which the alternative(s)s were selected.
- `alternatives` (list of Feature, optional) — A collection of unique identfiers indicating the alternative(s) that were previously selecetd.

### optSchemas/properties/Gadget

Gadget Information

- `browserType` (string, optional) — Indicates the type of browser used to access the website. For example: Internet Explorer
- `browserVersion` (string, optional) — Indicates the version of the browser used to access the website. For example: IE7
- `deviceCategory` (string, optional) — Indicates the category of device being used to access the partner website
- `deviceType` (string, optional) — Describes the brand of device used to access the partner website. For example: BlackBerry
- `font` (string, optional) — not supported.
- `httpRequestHeaders` (string, optional) — The Http request header of the incoming request.
- `ipAddress` (string, optional) — IP address of the computer or device which is being used when accessing the partner site. Masked persistence (replacing last octet chars with x. e.g. 192.133.122.xxx)
- `isCookiesAllowed` (boolean, optional) — Value is true if in this instance cookies is allowed. Otherwise false.
- `language` (string, optional) — Request language value
- `operatingSystem` (string, optional) — Indicates the operating system that the traveler is using when accessing the partner site
- `operatingSystemVersion` (string, optional) — Indicates the version of the operating system the traveler is using when accessing the partner site
- `referringUrl` (string, optional) — Indicates the referring URL (URL which snt us to the booking site) of the request. (eg) google.com
- `requestingPlatform` (string, optional) — The platform from which the request was initiated
- `requestingPlatformVersion` (string, optional) — Version of the platform from which the request was initiated
- `screenSize` (string, optional) — Screen size of the device which request was made from.
- `userAgent` (string, optional) — User Agent string that provides information about customer's device.

### optSchemas/properties/Incident

Incident Information

- `incidentType` (string, required) — A short code that describes the type of vehicle-related incident (e.g. SPEEDING, DUI, PARKING). These codes will be defined by the partner and/or provider.
- `customerSequence` (integer, optional) — The sequential order in the list of the specific customer to which the incident applies.
- `description` (string, optional) — A more detailed description of the incident.
- `penaltyPoints` (integer, optional) — The penalty points for the specific incident.
- `vehicleSequence` (integer, optional) — The sequential order in the list of the specific vehicle to which the incident applies.

### optSchemas/properties/Lodging

Lodging Information

- `checkInDate` (datetime, required) — The hotel check-in date on the itinerary.
- `checkOutDate` (datetime, required) — The hotel checkout date on the itinerary.
- `totalCost` (double, required) — The total cost including taxes, fees and surcharges.
- `accommodationType` (string, optional) — Accommodation type being booked: Timeshare, Hotel, Vacation Rental, Shared Accommodation, etc.
- `address` (optSchemas/properties/Address, optional) — Object describing the address of customer, company or other entity
- `agencyRating` (double, optional) — The travel agency rating given by the preferred agency.
- `availability` (string, optional) — Airbnb groupings for properties (Limited, Popular, Rare, etc)
- `brandCategory` (string, optional) — Brand category (Luxury, Premium, Collection, etc)
- `cancelationPolicyType` (string, optional) — Whether the cancellation policy on the Airbnb property is flexible or strict
- `carbonMonoxideDetector` (boolean, optional) — Whether Airbnb property has a carbon monoxide detector
- `chain` (string, optional) — The name of the hotel chain in the itinerary.
- `checkInDateLocal` (datetime, optional) — The hotel check-in date on the itinerary in local time.
- `checkOutDateLocal` (datetime, optional) — The hotel checkout date on the itinerary in local time.
- `crib` (boolean, optional) — Indicates a crib is needed for the booking.
- `destination` (optSchemas/properties/Location, optional) — Object describing a geographical location or airport
- `eventName` (string, optional) — The name of the specific event in the itinerary.
- `fireExtinguisher` (boolean, optional) — Property has fire extinguisher
- `hostName` (string, optional) — First name of the host / DO NOT PERSIST
- `hostStatus` (string, optional) — Status of Airbnb Property Host
- `hotTub` (boolean, optional) — Property has hot tub
- `indoorFirePlace` (boolean, optional) — Property has indoor fireplace
- `instantBooking` (boolean, optional) — Whether the Airbnb booking is an instant booking
- `levelOfService` (string, optional) — Level of service: World Class Service, Mid-Range Service, Budget/Limited Service, etc.
- `locationCategory` (string, optional) — The category of the hotel location as information of the area.
- `locationType` (string, optional) — The location of the accommodation as specified by the vendor.
- `name` (string, optional) — The name of the specific hotel in the itinerary.
- `numberOfBedRooms` (integer, optional) — Number of bedrooms in unit
- `numberOfBookingUnits` (integer, optional) — Number of units in the property that are being booked for this request
- `options` (list of optSchemas/properties/Option, optional)
- `petsAllowed` (boolean, optional) — Are pets allowed
- `propertyType` (string, optional) — House, apartment, loft, etc.
- `rateType` (string, optional) — The type of rate given for the booking.
- `refundable` (string, optional) — Indicates that the booking is refundable
- `rollaway` (boolean, optional) — Indicates a roll-away bed is needed for the booking.
- `roomType` (string, optional) — Whether the property's room is an entire home, private room, or shared room
- `sequence` (integer, optional) — The sequential order of the lodging when multiple units are being booked.
- `smokeDetector` (boolean, optional) — Property has smoke detectors
- `smokingAllowed` (boolean, optional) — Property allows smoking
- `starRating` (double, optional) — This is the star rating given by travel industry.
- `thumbRating` (double, optional) — This is the rating given by the customer (average of reviews). Varies by distributor.
- `zone` (string, optional) — Whether a partner country of residence (BU) is the same as the accommodation's country of residence is 'domestic' or 'international'.

### optSchemas/properties/Partner

Partner Information

- `distributorCode` (string, optional) — The partner code assigned by Allianz.
- `externalCode` (string, optional) — This is a code that the partner is assigned by other, external systems. This may be needed for reporting and fulfillment purposes and can be different from the partner code that is assigned by Allianz.
- `externalSubCode` (string, optional) — Placeholder if additional code is needed.

### optSchemas/properties/Provider

Provider Information

- `providerType` (string, required) — The type of product provider.
- `isPrimary` (boolean, optional) — Indicates the primary product provider.
- `options` (list of optSchemas/properties/Option, optional)
- `providerCode` (string, optional) — The code used by the product provider.
- `providerName` (string, optional) — The name of the product provider.

### optSchemas/properties/RentalCar

Rental Car Information

- `destination` (optSchemas/properties/Location, required) — Object describing a geographical location or airport
- `endDate` (datetime, required) — The date the car will be returned.
- `origin` (optSchemas/properties/Location, required) — Object describing a geographical location or airport
- `startDate` (datetime, required) — The date on which the car will be picked up.
- `totalCost` (double, required) — The total cost of the rental car.
- `carClassCode` (string, optional) — ACRISS or other identifying car classification code
- `endDateLocal` (datetime, optional) — The date the car will be returned in local time.
- `isDomestic` (boolean, optional) — Indicates if trip is considered domestic by Partner.
- `options` (list of optSchemas/properties/Option, optional)
- `rentalCarAgency` (string, optional) — The name of the agency renting the car.
- `rentalCarPickupLocation` (string, optional) — The actual pickup location at origin.
- `sequence` (integer, optional) — The sequential order of the rental car detail when multiple cars are being booked.
- `startDateLocal` (datetime, optional) — The date on which the car will be picked up in local time.

### optSchemas/properties/RequestDetail

Request Details

- `businessUnit` (string, required) — Country where products are eligible to be sold.
- `currency` (string, required) — The type of currency being used in the form of the three character ISO format currency code.
- `language` (string, required) — Two character ISO format language code.
- `requestedDate` (datetime, required) — Populates current server date by default - exposed for internal purposes
- `requestOrigin` (string, required) — The location or logical entity within the partner's site where the request originated (e.g. booking or managed reservations).
- `requestOriginPage` (string, required) — The specific page that sent this request.
- `availablePoints` (string, optional) — Available points customer can use for purchase.
- `benefitPreference` (string, optional) — Preferred product benefit with possible values as TCAN, EMED, or TINT.
- `bookingId` (string, optional) — Used for lookup of prior purchases for marketing and eligibility criteria.
- `campaigns` (list of optSchemas/properties/Campaign, optional)
- `clientVersion` (string, optional) — Version of the JS
- `costIncludes` (list of string, optional) — array of items included in cost
- `customerTier` (string, optional) — The tier of Customer.
- `cxid` (string, optional) — Customer Experience ID. This value is returned by Allianz in the first quote response so only applies in customer scenarios where the partner is making multiple quote requests within the customer's browsing session.
- `dataSource` (string, optional) — Line of Business Source for the data sent to Allianz
- `exchangeRate` (double, optional) — The exchange rate that should be used to convert prices from their default currency into the requested currency
- `experimentVariant` (string, optional) — The experiment variant
- `isCustomerFamiliarWithProduct` (boolean, optional) — Indicates customer's familiarity/education/interest in the product.
- `isInsuranceRequiredAtDestination` (boolean, optional) — Helps messaging for destinations that are requiring insurance.
- `mainBookingCorePurchaseDate` (datetime, optional) — Helps understand time between booking and when offer shown - can alter offer messaging based on recency of seeing the inpath offer.
- `itemDeliveryMethod` (string, optional) — The method for receipt of the ticket(s).
- `localTimestamp` (datetime, optional) — If this time is not given, we take the local time from the Requested Date.
- `locations` (list of optSchemas/properties/Option, optional) — List of codes where we are allowed to optimize for the request.
- `offerVersionId` (integer, optional, default: 1) — ID that allows tracking of offer when Partner is transitioning between different Allianz platform versions. Also allows Allianz to align offers to different versions of the partner's path.
- `options` (list of optSchemas/properties/Location, optional)
- `paymentMethod` (string, optional) — The method by which customers will be paying to purchase the Core product (Flight/train ticket, Event ticket, room/house/villa reservation). Example: points, cash, points+cash
- `memberType` (string, optional) — Member type of customer passed from the customer.
- `savedCompanionCount` (double, optional) — Indicates those who travel together often needs certain kinds of insurance benefits.
- `purchaseDate` (datetime, optional) — Date of core purchase, if not supplied by partner, this will default to the requestedDate
- `redemptionPoints` (double, optional) — The number of program points being redeemed by the customer in the booking.
- `requestCategories` (list of string, optional) — Contains a delimited list of booking categories.
- `requestChannel` (string, optional) — The partner channel that sent this request. (Online, CallCenter, ServiceCenter, etc.)
- `requestingHost` (string, optional) — Host issuing request - Host URL (origin from WidgetRequest)
- `salesOriginType` (string, optional) — The location from which the booking was made. (Website, Mobile App, Kiosk, etc.)
- `searchPreference` (optSchemas/properties/SearchPreference, optional) — Search Preference of Customer
- `sequence` (integer, optional) — ??
- `sessionId` (string, optional) — Session Id that Allianz receives in the quote request. Allows Allianz to track duplicate requests within same visitor session. Supports identification of duplicates in analytical activities.
- `trafficSource` (string, optional) — Describes source of traffic which brought the consumer to partner site prior to insurance purchase.
- `transactionId` (string, optional) — Available for Partner to send a unique ID with their quote request which will flow through the entire transaction. Allianz will return it in their response and the partner can send it back with the purchase request.
- `usePromotionCode` (boolean, optional) — Indicates that a promotion code was used for the booking.
- `vertical` (string, optional) — Request line of business, such as AIRFARE, EVENT, or MOTOR.
- `visitorId` (string, optional) — Used to help track a customer and the offers that they receive when the customer returns to the site.
- `widgetKey` (string, optional) — Unique identifier generated by AzP for each client widget. Will be populated by the Partner when interacting with the Widget/JS.

### optSchemas/properties/Travel

Travel Information

- `departureDate` (datetime, required) — The scheduled date of departure for the trip.
- `destination` (optSchemas/properties/Location, required) — Object describing a geographical location or airport
- `origin` (optSchemas/properties/Location, required) — Object describing a geographical location or airport
- `totalCost` (double, required) — Total cost including taxes, surcharges and fees. In Air Wrapper a value > 0 is enforced
- `autoTrain` (boolean, optional) — Indicates that an auto-train is being booked.
- `brandedFare` (string, optional) — Partner defined branded fare for trip
- `classOfService` (string, optional) — The class of service in the booking, e.g. business.
- `connection` (string, optional) — ? check which one is right (DB or Dictionary)
- `departureDateLocal` (datetime, optional) — The scheduled date of departure for the trip in local time.
- `distanceTraveled` (double, optional) — Total distance traveled for the trip.
- `includesConnection` (boolean, optional) — Does this trip have more than 1 segment or leg?
- `isDomestic` (boolean, optional) — Indicates if trip is considered domestic by Partner.
- `options` (list of optSchemas/properties/Option, optional)
- `refundable` (string, optional) — Indicates that the booking is refundable
- `returnDate` (datetime, optional) — The scheduled date or return for the booking. If the tripIndicator is equal to 'one-way', this value will be the arrival date-time stamp. If the arrival date-time stamp is not available for one-way trips, then the value will be the same as the departureDate.
- `returnDateLocal` (datetime, optional) — The scheduled date or return for the booking in local time. If the tripIndicator is equal to 'one-way', this value will be the arrival date-time stamp. If the arrival date-time stamp is not available for one-way trips, then the value will be the same as the departureDate.
- `routeGroup` (string, optional) — A route is defined by the origin and destination of a unit of travel. Routes can be combined into a group.
- `rewardMiles` (double, optional) — amount of reward miles.
- `ticketSalesType` (string, optional) — The type of tickets sold. (Pre-Sales, VIP, Members Only, Fan club sales ...)
- `travelAgent` (string, optional) — The agent or agent site that is booking the travel.
- `travelLegs` (list of optSchemas/properties/TravelLeg, optional) — Collection of travel legs. Populate this when segments are not used.
- `travelPurpose` (string, optional) — The traveler's purpose of travel.
- `travelSegments` (list of optSchemas/properties/TravelSegment, optional) — Collection of segments
- `tripDuration` (integer, optional) — The length or duration of the trip in days.
- `tripIndicator` (any, optional) — The type of trip booked.
- `zoneName` (string, optional) — Deprecated. The name of the zone for this segment of travel.

### optSchemas/properties/RequestProduct

Request Product

- `productCode` (string, required) — Code that uniquely defines the product.
- `supplierCode` (string, required) — The supplier code assigned by Allianz.
- `content` (list of optSchemas/properties/RequestProductContent, optional)
- `installmentPrice` (double, optional) — Deprecated
- `isAvailable` (boolean, optional, default: false) — Indicates the product is available to the current customer.
- `isDefault` (boolean, optional, default: false) — Indicates if partner has defaulted this selection.
- `isEditable` (boolean, optional, default: true) — Can a customer select and unselect this product?
- `isSelected` (boolean, optional, default: false) — Indicates if the product was selected for purchase.
- `packageCode` (string, optional) — Deprecated
- `parentProductCode` (string, optional) — Deprecated
- `price` (double, optional) — The price for the product, if not priced differently per leg, option, or other factor.
- `pricePoints` (list of optSchemas/properties/RequestProductPrice, optional)
- `productCategory` (string, optional) — Deprecated

### optSchemas/properties/Vehicle

Vehicle Information

- `age` (integer, optional) — Age of the vehicle.
- `annualDistance` (integer, optional) — Estimated annual miles driven with the vehicle.
- `antiTheftDevice` (string, optional) — Whether or not vehicle has an anti theft device.
- `associatedTrailerSequence` (integer, optional) — Sequence number of the associated trailer.
- `bodyStyle` (string, optional) — The body style of the vehicle.
- `color` (string, optional) — The painted color of the vehicle.
- `customEquipmentValue` (double, optional) — Dollar value associated with any custom equipment available on the vehicle.
- `edition` (string, optional) — The edition of the vehicle.
- `engineSize` (integer, optional) — The size of the vehicle engine in milliliters. (4200 = 4.2)
- `firstRegistrationDate` (datetime, optional) — The date on which the vehicle was first registered.
- `fuelType` (string, optional) — The type of fuel used in the vehicle.
- `horsePower` (integer, optional) — Horse power or power (kw) as a number.
- `imageURL` (string, optional) — Image of the vehicle
- `isForBusinessUse` (boolean, optional) — Is the vehicle used for business.
- `isHighMileage` (boolean, optional) — Is the vehicle considered in the high-mileage range by the partner.
- `isOriginalOwner` (boolean, optional) — Is the current owner the original owner
- `lastRegistrationDate` (datetime, optional) — The most recent registration date of the vehicle.
- `manufactureDate` (datetime, optional) — The year the vehicle was manufactured.
- `manufacturer` (string, optional) — Name of the vehicle manufacturer.
- `model` (string, optional) — The model of the Vehicle.
- `options` (list of optSchemas/properties/Option, optional)
- `parkedAtNightLocation` (string, optional) — Where the vehicle is parked at night.
- `plateNumber` (string, optional) — The plate or tag number issued when the vehicle was registered. Masked persistence (replacing every char with x)
- `primaryDriverSequence` (integer, optional) — The sequential order of the primary driver in the list. In most cases this would be the first position in the list.
- `primaryUse` (string, optional) — Primary use of the vehicle.
- `regionWhereRegistered` (string, optional) — State, province, or region where vehicle is registered.
- `riskCategory` (string, optional) — Partner-defined risk.
- `sequence` (integer, optional) — The sequence number of the vehicle in the request.
- `situationOfRisk` (string, optional) — Partner-defined
- `value` (double, optional) — The current value of the vehicle in the currency type of the partner.
- `vehicleIdentification` (string, optional) — A unique identifier assigned to this vehicle by the governing authority such as the VIN assigned in the US). Masked persistence (replacing every char with x)
- `vehicleType` (string, optional) — The type of vehicle to be insured.
- `weight` (integer, optional) — Weight of the vehicle
- `yearsOwned` (integer, optional) — Number of years the vehicle in under ownership .

### optSchemas/properties/Option

Options details

- `optionName` (string, optional) — Name of Option
- `optionValue` (string, optional)

### optSchemas/properties/MotorRelated

Vehicle Information

- `distanceToWork` (integer, optional) — The distance the driver travels to work.
- `driverCategory` (string, optional) — Indicates a category of the driver.
- `hasCommuterTicket` (boolean, optional) — Indicates whether the driver is the holder of a commuter railway ticket.
- `hasMileageAllowance` (boolean, optional) — Indicates whether the driver has a job-related mileage allowance.
- `isDrivingOtherCars` (boolean, optional) — Indicates whether the driver has use of other cars.
- `isFulltimeCarUse` (boolean, optional) — Indicates the car will be in full-time use by the drivers.
- `licenceStatus` (string, optional) — The status of the license held by the driver.
- `licenceType` (string, optional) — The type of license held by the driver.
- `noClaimsBonusCode` (string, optional) — The code used to identify the bonus offered to the customer.
- `noClaimsStepCode` (string, optional) — If applicable, a step code for the no-claim bonus code.
- `noClaimsYears` (integer, optional) — Years of no claim for the driver.
- `noClaimsYearsNamedDriver` (integer, optional) — The no-claim years for a driver other than the primary driver.
- `noClaimsYearsOwnName` (integer, optional) — The no-claim years for the primary driver.
- `penaltyPoints` (integer, optional) — The Total penalty points against the driver.
- `yearFirstLicenceHeld` (integer, optional) — The year the driver first obtained a license.

### optSchemas/properties/Membership

Object describing a persons membership (miles, club, association, etc.)

- `level` (string, optional) — Status or level of membership.
- `name` (string, optional) — The name of the membership.
- `number` (string, optional) — The membership number assigned to the member. Masked persistence (replacing every char with x)
- `type` (string, optional) — The type of membership.

### optSchemas/properties/OfferType

OfferType Information

- `offerDescription` (string, optional) — The description of the offer requested.
- `offerTypeId` (integer, optional) — The id of the offer type.
- `options` (list of optSchemas/properties/Option, optional)

### optSchemas/properties/Person

Customer information.

- `CustomerType` (string, required) — Descriptive category for the traveler. Values may be vertical-specific. (Adult, Child, Infant, Senior, ...)
- `Sequence` (integer, required) — The sequential order of the primary customer in the list. In most cases this would be the first position in the list.
- `Address` (optSchemas/properties/Address, optional) — Address of the customer
- `Age` (integer, optional) — Age of the customer.
- `AssistanceType` (string, optional) — These are values provided by the partner which provide information into what type of assistance is needed by the customer during their travel.
- `BirthDate` (datetime, optional) — Birth-date of the customer. Persisted as 1/1/1900.
- `BirthInfo` (optSchemas/properties/CustomerBirthInfo, optional) — Birth information of the customer
- `CanPersist` (boolean, optional) — Indicates whether the customer information may be persisted to the Allianz database.
- `CustomerId` (string, optional) — Unique identifier generated by Partner to identify customer. This field is hashed
- `CustomerTier` (string, optional) — The tier of customer.
- `DiscountType` (string, optional) — Type of discount used by the customer.
- `EmailAddress` (string, optional) — Email address of policyholder. Do not persist.
- `EmploymentStatus` (string, optional) — Status of employment.
- `FirstName` (string, optional) — First name of customer. Masked persistence (replacing every char with x).
- `Gender` (string, optional) — Gender of the customer.
- `IncludeForPricing` (boolean, optional) — Indicates should be included in Allianz internal traveler group pricing.
- `IncludeInGroupDetermination` (boolean, optional) — Indicates should be included in Allianz internal traveler group pricing.
- `LastName` (string, optional) — Last name of customer. Masked persistence (replacing every char with x).
- `LevelOfEducation` (integer, optional) — TicketHolders level of education.
- `MaritalStatus` (string, optional) — TicketHolders marital status.
- `Memberships` (list of optSchemas/properties/Membership, optional) — Details of membership(s)
- `MiddleInitial` (string, optional) — Middle initial of traveler. (replacing every char with x)
- `MotorRelated` (optSchemas/properties/MotorRelated, optional) — Motor related information.
- `Nationality` (string, optional) — Nationality of the customer
- `NickName` (string, optional) — Nick name initial of traveler. (replacing every char with x)
- `Occupation` (string, optional) — Occupation of the customer. Do not persist.
- `OkToContact` (boolean, optional) — Indicates whether marketing representatives may contact the customer.
- `Options` (list of optSchemas/properties/Option, optional) — options (name/value pairs) associated with this leg
- `Phones` (list of optSchemas/properties/Phone, optional)
- `RedemptionPoints` (double, optional) — The number of program points being redeemed by the customer in the booking.
- `RelationshipToPrimary` (string, optional) — Relationship of the person in the sequence to the primary customer.
- `RoleType` (string, optional)
- `StatusCardSpend` (double, optional) — Total spend on branded credit card that can be used towards waiving other requirements for gaining status.
- `StatusQualificationAmount` (double, optional) — Value of purchased flights currently accumulated towards the customer's status for the following year.
- `StatusQualificationMiles` (double, optional) — Number of miles currently accumulated towards the customer's status for the following year.
- `StatusQualificationSegments` (double, optional) — Number of flight segments currently accumulated towards the customer's status for the following year.
- `Suffix` (string, optional) — A name suffix if used. Do not persist
- `Title` (string, optional) — A personal title if used. Do not persist
- `TotalCost` (double, optional) — Travel cost per traveler. Individual cost relating to the transaction item (Motor or Travel or Event etc..)

### optSchemas/properties/Location

Object describing a geographical location or airport

- `city` (string, optional) — The city in the travel itinerary.
- `code` (string, optional) — The airport code or other identifier for the location.
- `country` (string, optional) — The two-letter abbreviation or code of the country for the location.
- `region` (string, optional) — The abbreviation or code for state, province, or region.

### optSchemas/properties/Campaign

Campaign Information

- `AssetName` (string, optional) — Indicates what marketing campaign a consumer saw prior to insurance offer.
- `Code` (string, optional) — Unique code associated with the Campaign.
- `Type` (string, optional) — Unique name associated with the particular asset seen.

### optSchemas/properties/SearchPreference

Search Preference of Customer

- `flexibleDates` (boolean, optional) — Indicates whether flexible dates are used in the search criteria.
- `includeNearbyAirports` (boolean, optional) — Indicates if nearby airports are included in the search criteria.
- `includeWeekends` (boolean, optional) — Indicates if weekends were included in the search criteria.
- `maxPrice` (double, optional) — Top of the price range a customer is searching
- `minPrice` (double, optional) — Bottom of the price range a customer is searching
- `searchByPrice` (boolean, optional) — Indicates if price was used in the search criteria.
- `searchBySchedule` (boolean, optional) — Indicates if flight or event schedule was used in the search criteria.

### optSchemas/properties/TravelLeg

TravelLeg Information

- `destination` (optSchemas/properties/Location, required) — Object describing a geographical location or airport
- `origin` (optSchemas/properties/Location, required) — Object describing a geographical location or airport
- `sequence` (integer, required) — The sequence of the traveling leg in the trip
- `arrivalDate` (datetime, optional) — Arrival Date for this leg.
- `brandedFare` (string, optional) — Partner defined branded fare for travel leg.
- `classOfService` (string, optional) — The class of service for this leg
- `departureDate` (datetime, optional) — Departure Date for this leg.
- `equipmentType` (string, optional) — The description of the equipment used for this leg
- `isDomestic` (boolean, optional) — Indicates if trip is considered domestic by Partner.
- `options` (list of optSchemas/properties/Option, optional) — options (name/value pairs) associated with this leg
- `routeGroup` (string, optional) — A route is defined by the origin and destination of a unit of travel. Routes can be combined into a group.
- `routeNumber` (string, optional) — The route number as assigned by the airline for this route.
- `seatAvailability` (integer, optional) — Total number of available seats currently available for booking on the equipment type
- `seatCapacity` (integer, optional) — Total number of seats the equipment type can support
- `travelDuration` (integer, optional) — The length or duration of the trip in minutes
- `flightNumber` (string, optional) — The flight number as assigned by the airline for this route.

### optSchemas/properties/TravelSegment

TravelSegment Information

- `arrivalDate` (datetime, optional) — Arrival Date for this segment.
- `brandedFare` (string, optional) — Partner defined branded fare for travel segment.
- `departureDate` (datetime, optional) — Departure Date for this segment.
- `destination` (optSchemas/properties/Location, optional) — Object describing a geographical location or airport
- `distanceTraveled` (integer, optional) — Do not use!
- `fareClass` (string, optional) — Do not use!
- `includesConnection` (boolean, optional) — Does this segment have more than 1 leg?
- `isDomestic` (boolean, optional) — Indicates if trip is considered domestic by Partner.
- `layoverDuration` (integer, optional) — Do not use!
- `options` (list of optSchemas/properties/Option, optional)
- `origin` (optSchemas/properties/Location, optional) — Object describing a geographical location or airport
- `routeGroup` (string, optional) — A route is defined by the origin and destination of a unit of travel. Routes can be combined into a group.
- `routeNumber` (string, optional) — The route number as assigned by the airline for this route.
- `sequence` (integer, optional) — The sequence of the traveling segment in the trip
- `travelLegs` (list of optSchemas/properties/TravelLeg, optional)

### optSchemas/properties/RequestProductContent

Request Product Content

- `language` (string, optional) — The 2-character ISO language code (e.g. 'en') that indicates which language this content is intended for. This can be omitted if the content is used for all languages.
- `name` (string, optional) — Specifies the portion of content being supplied. These are user-defined names that are meaningful only to the Allianz-supplied content.
- `value` (string, optional) — The actual content that will be stitched into the Allianz content

### optSchemas/properties/RequestProductPrice

Request Product Price

- `isAvailable` (boolean, optional, default: false) — Indicates if this product/option is not available for purchase.
- `isIncluded` (boolean, optional, default: false) — Indicates if the product/option is included with another product or package.
- `price` (double, optional) — The price for the product
- `priceType` (string, optional, default: Suggested) — Indicates how this price should be used by the quoting engine. The default value is 'Suggested' which is the price that is returned unless price optimization is being applied. Other values are 'Minimum' and 'Maximum' which are used to constrain the range of price optimization that is allowed. Also 'Actual' is used to indicate no price optimization should be done.
- `productOptions` (list of optSchemas/properties/RequestProductOption, optional)
- `productSequences` (list of optSchemas/properties/RequestProductSequence, optional)
- `stepName` (string, optional) — Indicates step that price is for.

### optSchemas/properties/CustomerBirthInfo

Customer Information including DOB,City etc..

- `City` (string, optional) — City which Customer was born in.
- `Country` (string, optional) — Country which Customer was born in.
- `DateOfBirth` (datetime, optional) — Birth-date of the customer. Persisted as 1/1/1900.
- `Region` (string, optional) — Country(State) which Customer was born in.

### optSchemas/properties/Phone

Phone information

- `AreaCode` (string, optional) — Represents the area code of customer's phone number
- `CountryCode` (string, optional) — Represents the country code of customer's phone number
- `IsPrimary` (boolean, optional) — Indicates if this phone number can be treated as the primary phone number for the customer
- `Number` (string, optional) — Represents the customer's phone number. Masked persistence (replacing every char with 9).
- `Type` (string, optional) — Type of customer's phone - Home, Work, Mobile etc.

### optSchemas/properties/RequestProductOption

Request Product Option

- `name` (string, optional) — The name of the product option. Ex: SeatGroup
- `value` (string, optional) — The value of the product option. Ex: ExtraLegRoom, Upfront

### optSchemas/properties/RequestProductSequence

Request Product Sequence

- `sequence` (integer, optional) — The number of the sequence.
- `sequenceType` (string, optional) — The name of the sequence. Ex: Leg or Segment

## Examples

**Request**

```json
{
  "additionalItems": [
    {
      "cost": 12,
      "currencyType": "USD",
      "description": "extracost",
      "externalIdentifier": "12",
      "name": "Bob",
      "options": [
        {
          "optionName": "option1",
          "optionValue": "12"
        }
      ],
      "quantity": 123,
      "sequence": 11,
      "totalCost": 3371
    }
  ],
  "credentials": {
    "password": "cap_t_1",
    "userName": "cap_t_1"
  },
  "customerAddress": {
    "address1": "3305 Street1",
    "address2": "PO Box 303",
    "city": "Victoria",
    "country": "US",
    "postalCode": "77901",
    "region": "13"
  },
  "customers": [
    {
      "customerType": "Adult",
      "sequence": 10,
      "address": {
        "address1": "customerAddress1",
        "address2": "customerAddress2",
        "city": "Richmond",
        "country": "Henrico",
        "postalCode": "23294",
        "region": "USA"
      },
      "age": 0,
      "assistanceType": "Test",
      "birthDate": "2019-01-25T00:00:00.000Z",
      "canPersist": true,
      "customerId": "123",
      "demographicInfo": {
        "occupation": "qa",
        "ownershipStatus": "rent",
        "residenceType": "Condo",
        "yearsAtResidence": 8
      },
      "discountType": "AutomationTestType",
      "emailAddress": "qa@test.com",
      "firstName": "customerFirstName",
      "gender": "Male",
      "includeForPricing": true,
      "includeInGroupDetermination": false,
      "lastName": "costomerLastName",
      "motorRelated": [
        {
          "licenceStatus": "hasIt"
        }
      ],
      "memberships": [
        {
          "level": "membership_level",
          "name": "membership_name",
          "number": "memberhsip_number",
          "type": "membership_type"
        }
      ],
      "middleInitial": "o",
      "nationality": "usa",
      "okToContact": false,
      "options": [
        {
          "optionName": "CustomerOptionTest",
          "optionValue": "12"
        }
      ],
      "phones": [
        {
          "areaCode": "512",
          "countryCode": "001",
          "isPrimary": true,
          "number": "8765309",
          "type": "Home"
        }
      ],
      "relationshipToPrimary": "SELF",
      "salutation": "MR",
      "suffix": "Sir",
      "title": "QA Analyst",
      "totalCost": 500,
      "statusQualificationMiles": 300,
      "statusQualificationSegments": 400,
      "statusQualificationAmount": 200,
      "statusCardSpend": 100
    }
  ],
  "events": [
    {
      "endDate": "2021-11-23T13:55:45",
      "eventName": "None",
      "majorCategory": "None",
      "startDate": "2021-11-20T13:55:45",
      "totalCost": 500,
      "artistId": 13,
      "artistName": "B52",
      "eventEndDateLocal": "2021-11-23T13:55:45",
      "isPremiumSeat": true,
      "isOvernightEvent": true,
      "minorCategory": "a",
      "numberOfHours": 12,
      "offerTypes": [
        {
          "offerDescription": "123445",
          "offerTypeId": 1111,
          "options": [
            {
              "optionName": "NameOfOption55",
              "optionValue": "A"
            }
          ]
        }
      ],
      "onSaleDate": "2021-11-19T13:55:45",
      "options": [
        {
          "optionName": "OptionA",
          "optionValue": "110011"
        }
      ],
      "outdoorEvent": true,
      "preSaleDate": "2021-11-19T13:55:45",
      "refundable": "true",
      "sequence": 1,
      "eventStartDateLocal": "2021-11-20T13:55:45",
      "ticketLimit": 7,
      "ticketSalesType": "salesman",
      "ticketType": "typeOfTicket",
      "venue": {
        "city": "El Paso",
        "code": "TX",
        "country": "US",
        "region": "Southwest"
      },
      "venueName": "Astrodome",
      "venuePostalCode": "77979",
      "venueCode": "XYSZ"
    }
  ],
  "features": [
    {
      "code": "test_not_defined_code",
      "alternatives": [
        "test_not_defined_ai"
      ]
    }
  ],
  "gadget": {
    "browserType": "IE",
    "browserVersion": "10",
    "deviceCategory": "None",
    "deviceType": "APPLE",
    "font": "ariel",
    "httpRequestHeaders": "e",
    "ipAddress": "10.0.0.7",
    "isCookiesAllowed": true,
    "language": "en",
    "operatingSystem": "win5",
    "operatingSystemVersion": "1",
    "referringUrl": "www.google.com",
    "requestingPlatform": "None",
    "requestingPlatformVersion": "2",
    "screenSize": "1",
    "userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0"
  },
  "incidents": {
    "0": {
      "customerSequence": 9,
      "description": "Desc.",
      "incidentType": "ABX",
      "penaltyPoints": 22,
      "vehicleSequence": 98
    },
    "incidentType": "string"
  },
  "lodgings": [
    {
      "checkInDate": "2021-11-20T13:55:45",
      "checkOutDate": "2021-11-23T13:55:45",
      "totalCost": 500,
      "accommodationType": "hotel",
      "address": {
        "address1": "121 Saluria",
        "address2": "P.O.Box 202",
        "city": "Brussels",
        "country": "Belgium",
        "postalCode": "22011",
        "region": "Europe"
      },
      "agencyRating": 1,
      "availability": "yes",
      "brandCategory": "brandCategory",
      "cancelationPolicyType": "no_cancel",
      "carbonMonoxideDetector": true,
      "chain": "Omni",
      "checkInDateLocal": "2021-11-20T13:55:45",
      "checkOutDateLocal": "2021-11-23T13:55:45",
      "crib": false,
      "destination": {
        "city": "Boston",
        "code": "MA",
        "country": "FR",
        "region": "NW"
      },
      "eventName": "Event1",
      "fireExtinguisher": true,
      "hostName": "OmniHotel",
      "hostStatus": "Excellent",
      "hotTub": true,
      "indoorFirePlace": true,
      "instantBooking": true,
      "levelOfService": "Top",
      "locationCategory": "5",
      "locationType": "TypeLocation",
      "name": "NameName",
      "numberOfBedRooms": 1,
      "numberOfBookingUnits": 3,
      "options": [
        {
          "optionName": "Opt1",
          "optionValue": "9685847"
        }
      ],
      "petsAllowed": true,
      "propertyType": "Hotel",
      "rateType": "Credit",
      "refundable": "false",
      "rollaway": true,
      "roomType": "Suite",
      "smokeDetector": true,
      "smokingAllowed": false,
      "starRating": 5,
      "thumbRating": 3,
      "zone": "B",
      "destinationLocation": "a",
      "numberOfRooms": 2
    }
  ],
  "partner": {
    "distributorCode": "cap_t_1",
    "externalCode": "123",
    "externalSubCode": "321"
  },
  "providers": [
    {
      "providerType": "Serious",
      "isPrimary": true,
      "options": [
        {
          "optionName": "Name1",
          "optionValue": "Value1"
        }
      ],
      "providerCode": "R7_Journey",
      "providerName": "NameProvider"
    }
  ],
  "rentalCars": [
    {
      "destination": {
        "city": "San Antonio",
        "code": "ab",
        "country": "USA",
        "region": "South"
      },
      "endDate": "2021-11-23T13:55:45",
      "origin": {
        "city": "San Antonio",
        "code": "ab",
        "country": "USA",
        "region": "South"
      },
      "startDate": "2021-11-20T13:55:45",
      "totalCost": 500,
      "carClassCode": "CY",
      "endDateLocal": "2021-11-23T13:55:45",
      "isDomestic": true,
      "options": [
        {
          "optionName": "1Name1Name",
          "optionValue": "1Value1Value"
        }
      ],
      "rentalCarAgency": "hertz",
      "rentalCarPickupLocation": "SA",
      "startDateLocal": "2021-11-20T13:55:45"
    }
  ],
  "requestDetail": {
    "businessUnit": "CA",
    "currency": "USD",
    "language": "no",
    "requestedDate": "2021-11-19T13:55:45",
    "requestOrigin": "Standard",
    "requestOriginPage": "page1",
    "bookingId": "123",
    "campaigns": [
      {
        "assetName": "campaign_name",
        "code": "campaign_code",
        "type": "campaign_type"
      }
    ],
    "clientVersion": "123",
    "costIncludes": [
      "1",
      "2"
    ],
    "cxid": "200624114637",
    "dataSource": "TRAVEL",
    "exchangeRate": 1,
    "experimentVariant": "exp_var_val",
    "isCustomerFamiliarWithProduct": true,
    "mainBookingCorePurchaseDate": "2020-06-26T11:46:37",
    "itemDeliveryMethod": "44444",
    "localTimestamp": "2020-06-26T11:46:37",
    "offerVersionId": 2,
    "options": [
      {
        "optionName": "RequestOptionTest",
        "optionValue": "5523"
      }
    ],
    "paymentMethod": "Cash",
    "savedCompanionCount": 2,
    "purchaseDate": "2021-11-19T13:55:45",
    "redemptionPoints": 23243,
    "requestCategories": [
      "Airfare"
    ],
    "requestChannel": "WEB",
    "requestingHost": "4q42545",
    "salesOriginType": "internet",
    "searchPreference": {
      "flexibleDates": true,
      "includeNearbyAirports": true,
      "includeWeekends": true,
      "maxPrice": 100000,
      "minPrice": 10,
      "searchByPrice": true,
      "searchBySchedule": true,
      "savedFlightSearches": true,
      "sortAttribute": "sort_cgo"
    },
    "sequence": 17,
    "sessionId": "persist_auto_test_20201008113245",
    "trafficSource": "google",
    "transactionId": "iwantapires",
    "usePromotionCode": false,
    "vertical": "TRAVEL1",
    "visitorId": "333",
    "widgetKey": "keykey",
    "isInsuranceRequiredatDestination": true,
    "locations_cannot_use": [
      "LOCN_12221"
    ],
    "organizationId": 747
  },
  "travel": {
    "departureDate": "2021-11-20T13:55:45",
    "destination": {
      "city": "San Francisco",
      "code": "YYY",
      "country": "US",
      "region": "CA"
    },
    "origin": {
      "city": "Dallas/Ft Worth",
      "code": "DFW",
      "country": "US",
      "region": "TX"
    },
    "totalCost": 500,
    "autoTrain": true,
    "brandedFare": "test0detail",
    "classOfService": "economy",
    "connection": "direct",
    "departureDateLocal": "2021-11-20T13:55:45",
    "includesConnection": false,
    "isDomestic": true,
    "options": [
      {
        "optionName": "123",
        "optionValue": "12"
      }
    ],
    "refundable": "true",
    "returnDate": "2021-11-23T13:55:45",
    "returnDateLocal": "2021-11-23T13:55:45",
    "routeGroup": "direct",
    "rewardMiles": 0,
    "ticketSalesType": "agent",
    "travelAgent": "None",
    "travelLegs": [
      {
        "destination": {
          "city": "Dallas/Ft Worth",
          "code": "DFW",
          "country": "US",
          "region": "TX"
        },
        "origin": {
          "city": "Dallas/Ft Worth",
          "code": "DFW",
          "country": "US",
          "region": "TX"
        },
        "sequence": 14
      }
    ],
    "travelPurpose": "leisure",
    "travelSegments": [
      {
        "arrivalDate": "2021-11-20T13:55:45",
        "brandedFare": "test1Seg",
        "departureDate": "2021-11-20T13:55:45",
        "destination": {
          "city": "San Francisco",
          "code": "SFO",
          "country": "US",
          "region": "CA"
        },
        "distanceTraveled": 100,
        "fareClass": "economy",
        "includesConnection": true,
        "isDomestic": true,
        "layoverDuration": 1,
        "options": [
          {
            "optionName": "TravelSegmentOptionTest",
            "optionValue": "12"
          }
        ],
        "origin": {
          "city": "Dallas/Ft Worth",
          "code": "DFW",
          "country": "US",
          "region": "TX"
        },
        "routeGroup": "direct",
        "sequence": 15,
        "travelLegs": [
          {
            "destination": {
              "city": "San Francisco",
              "code": "SFO",
              "country": "US",
              "region": "CA"
            },
            "origin": {
              "city": "Dallas/Ft Worth",
              "code": "DFW",
              "country": "US",
              "region": "TX"
            },
            "sequence": 16,
            "arrivalDate": "2021-11-20T13:55:45",
            "brandedFare": "test2Leg",
            "classOfService": "economy",
            "departureDate": "2021-11-20T13:55:45",
            "equipmentType": "1",
            "isDomestic": true,
            "options": [
              {
                "optionName": "TravelLegOptionTest",
                "optionValue": "12"
              }
            ],
            "routeGroup": "direct",
            "routeNumber": "12",
            "seatAvailability": 0,
            "seatCapacity": 12,
            "travelDuration": 10,
            "distanceTraveled": 10,
            "fareClass": "top",
            "layoverDuration": 1
          }
        ],
        "classOfService": "economy"
      }
    ],
    "tripDuration": 7,
    "tripIndicator": "Round-trip",
    "jsVersion": "1.0.0-beta.18"
  },
  "products": {
    "0": {
      "installmentPrice": 32,
      "isAvailable": true,
      "isDefault": true,
      "isEditable": true,
      "isSelected": true,
      "packageCode": "Code12",
      "parentProductCode": "CXA1",
      "price": 1001,
      "pricePoints": [
        {
          "isAvailable": true,
          "isIncluded": true,
          "price": 333,
          "productOptions": [
            {
              "name": "nameofProduct",
              "value": "5543"
            }
          ],
          "productSequences": [
            {
              "sequence": 12,
              "sequenceType": "Fast"
            }
          ],
          "stepName": "First"
        }
      ],
      "productCategory": "Cat5",
      "productCode": "Code1",
      "supplierCode": "QA_LITE"
    },
    "productCode": "string",
    "supplierCode": "string"
  },
  "vehicles": {
    "0": {
      "age": 44,
      "annualDistance": 12,
      "antiTheftDevice": "anti_theft",
      "associatedTrailerSequence": 2223,
      "bodyStyle": "Van",
      "color": "Blue",
      "customEquipmentValue": 10101011,
      "edition": "v3",
      "engineSize": 4,
      "firstRegistrationDate": "2018-01-25T10:34:00",
      "fuelType": "fuel_type",
      "horsePower": 701,
      "imageURL": "http://imagelocation.com/aaa/a/abb",
      "isForBusinessUse": true,
      "isHighMileage": true,
      "isOriginalOwner": true,
      "lastRegistrationDate": "2018-01-25T10:34:00",
      "manufactureDate": "2018-01-25T10:34:00",
      "manufacturer": "Nissan",
      "model": "Titan",
      "options": [
        {
          "optionName": "AirName",
          "optionValue": "Value1"
        }
      ],
      "parkedAtNightLocation": "Garage",
      "plateNumber": "XLC-5565",
      "primaryDriverSequence": 3,
      "primaryUse": "AtoB",
      "regionWhereRegistered": "TX",
      "riskCategory": "4L",
      "sequence": 2,
      "situationOfRisk": "Risk2",
      "value": 2121,
      "vehicleIdentification": "42342532423",
      "vehicleType": "Truck",
      "weight": 5000,
      "yearsOwned": 3
    }
  },
  "cookies": [
    {
      "content": "test_not_defined_content",
      "name": "test_not_defined_name",
      "type": "test_not_defined_type"
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/priceVerifications"

payload = {
    "additionalItems": [
        {
            "cost": 12,
            "currencyType": "USD",
            "description": "extracost",
            "externalIdentifier": "12",
            "name": "Bob",
            "options": [
                {
                    "optionName": "option1",
                    "optionValue": "12"
                }
            ],
            "quantity": 123,
            "sequence": 11,
            "totalCost": 3371
        }
    ],
    "credentials": {
        "password": "cap_t_1",
        "userName": "cap_t_1"
    },
    "customerAddress": {
        "address1": "3305 Street1",
        "address2": "PO Box 303",
        "city": "Victoria",
        "country": "US",
        "postalCode": "77901",
        "region": "13"
    },
    "customers": [
        {
            "customerType": "Adult",
            "sequence": 10,
            "address": {
                "address1": "customerAddress1",
                "address2": "customerAddress2",
                "city": "Richmond",
                "country": "Henrico",
                "postalCode": "23294",
                "region": "USA"
            },
            "age": 0,
            "assistanceType": "Test",
            "birthDate": "2019-01-25T00:00:00.000Z",
            "canPersist": True,
            "customerId": "123",
            "demographicInfo": {
                "occupation": "qa",
                "ownershipStatus": "rent",
                "residenceType": "Condo",
                "yearsAtResidence": 8
            },
            "discountType": "AutomationTestType",
            "emailAddress": "qa@test.com",
            "firstName": "customerFirstName",
            "gender": "Male",
            "includeForPricing": True,
            "includeInGroupDetermination": False,
            "lastName": "costomerLastName",
            "motorRelated": [{ "licenceStatus": "hasIt" }],
            "memberships": [
                {
                    "level": "membership_level",
                    "name": "membership_name",
                    "number": "memberhsip_number",
                    "type": "membership_type"
                }
            ],
            "middleInitial": "o",
            "nationality": "usa",
            "okToContact": False,
            "options": [
                {
                    "optionName": "CustomerOptionTest",
                    "optionValue": "12"
                }
            ],
            "phones": [
                {
                    "areaCode": "512",
                    "countryCode": "001",
                    "isPrimary": True,
                    "number": "8765309",
                    "type": "Home"
                }
            ],
            "relationshipToPrimary": "SELF",
            "salutation": "MR",
            "suffix": "Sir",
            "title": "QA Analyst",
            "totalCost": 500,
            "statusQualificationMiles": 300,
            "statusQualificationSegments": 400,
            "statusQualificationAmount": 200,
            "statusCardSpend": 100
        }
    ],
    "events": [
        {
            "endDate": "2021-11-23T13:55:45",
            "eventName": "None",
            "majorCategory": "None",
            "startDate": "2021-11-20T13:55:45",
            "totalCost": 500,
            "artistId": 13,
            "artistName": "B52",
            "eventEndDateLocal": "2021-11-23T13:55:45",
            "isPremiumSeat": True,
            "isOvernightEvent": True,
            "minorCategory": "a",
            "numberOfHours": 12,
            "offerTypes": [
                {
                    "offerDescription": "123445",
                    "offerTypeId": 1111,
                    "options": [
                        {
                            "optionName": "NameOfOption55",
                            "optionValue": "A"
                        }
                    ]
                }
            ],
            "onSaleDate": "2021-11-19T13:55:45",
            "options": [
                {
                    "optionName": "OptionA",
                    "optionValue": "110011"
                }
            ],
            "outdoorEvent": True,
            "preSaleDate": "2021-11-19T13:55:45",
            "refundable": "true",
            "sequence": 1,
            "eventStartDateLocal": "2021-11-20T13:55:45",
            "ticketLimit": 7,
            "ticketSalesType": "salesman",
            "ticketType": "typeOfTicket",
            "venue": {
                "city": "El Paso",
                "code": "TX",
                "country": "US",
                "region": "Southwest"
            },
            "venueName": "Astrodome",
            "venuePostalCode": "77979",
            "venueCode": "XYSZ"
        }
    ],
    "features": [
        {
            "code": "test_not_defined_code",
            "alternatives": ["test_not_defined_ai"]
        }
    ],
    "gadget": {
        "browserType": "IE",
        "browserVersion": "10",
        "deviceCategory": "None",
        "deviceType": "APPLE",
        "font": "ariel",
        "httpRequestHeaders": "e",
        "ipAddress": "10.0.0.7",
        "isCookiesAllowed": True,
        "language": "en",
        "operatingSystem": "win5",
        "operatingSystemVersion": "1",
        "referringUrl": "www.google.com",
        "requestingPlatform": "None",
        "requestingPlatformVersion": "2",
        "screenSize": "1",
        "userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0"
    },
    "incidents": {
        "0": {
            "customerSequence": 9,
            "description": "Desc.",
            "incidentType": "ABX",
            "penaltyPoints": 22,
            "vehicleSequence": 98
        },
        "incidentType": "string"
    },
    "lodgings": [
        {
            "checkInDate": "2021-11-20T13:55:45",
            "checkOutDate": "2021-11-23T13:55:45",
            "totalCost": 500,
            "accommodationType": "hotel",
            "address": {
                "address1": "121 Saluria",
                "address2": "P.O.Box 202",
                "city": "Brussels",
                "country": "Belgium",
                "postalCode": "22011",
                "region": "Europe"
            },
            "agencyRating": 1,
            "availability": "yes",
            "brandCategory": "brandCategory",
            "cancelationPolicyType": "no_cancel",
            "carbonMonoxideDetector": True,
            "chain": "Omni",
            "checkInDateLocal": "2021-11-20T13:55:45",
            "checkOutDateLocal": "2021-11-23T13:55:45",
            "crib": False,
            "destination": {
                "city": "Boston",
                "code": "MA",
                "country": "FR",
                "region": "NW"
            },
            "eventName": "Event1",
            "fireExtinguisher": True,
            "hostName": "OmniHotel",
            "hostStatus": "Excellent",
            "hotTub": True,
            "indoorFirePlace": True,
            "instantBooking": True,
            "levelOfService": "Top",
            "locationCategory": "5",
            "locationType": "TypeLocation",
            "name": "NameName",
            "numberOfBedRooms": 1,
            "numberOfBookingUnits": 3,
            "options": [
                {
                    "optionName": "Opt1",
                    "optionValue": "9685847"
                }
            ],
            "petsAllowed": True,
            "propertyType": "Hotel",
            "rateType": "Credit",
            "refundable": "false",
            "rollaway": True,
            "roomType": "Suite",
            "smokeDetector": True,
            "smokingAllowed": False,
            "starRating": 5,
            "thumbRating": 3,
            "zone": "B",
            "destinationLocation": "a",
            "numberOfRooms": 2
        }
    ],
    "partner": {
        "distributorCode": "cap_t_1",
        "externalCode": "123",
        "externalSubCode": "321"
    },
    "providers": [
        {
            "providerType": "Serious",
            "isPrimary": True,
            "options": [
                {
                    "optionName": "Name1",
                    "optionValue": "Value1"
                }
            ],
            "providerCode": "R7_Journey",
            "providerName": "NameProvider"
        }
    ],
    "rentalCars": [
        {
            "destination": {
                "city": "San Antonio",
                "code": "ab",
                "country": "USA",
                "region": "South"
            },
            "endDate": "2021-11-23T13:55:45",
            "origin": {
                "city": "San Antonio",
                "code": "ab",
                "country": "USA",
                "region": "South"
            },
            "startDate": "2021-11-20T13:55:45",
            "totalCost": 500,
            "carClassCode": "CY",
            "endDateLocal": "2021-11-23T13:55:45",
            "isDomestic": True,
            "options": [
                {
                    "optionName": "1Name1Name",
                    "optionValue": "1Value1Value"
                }
            ],
            "rentalCarAgency": "hertz",
            "rentalCarPickupLocation": "SA",
            "startDateLocal": "2021-11-20T13:55:45"
        }
    ],
    "requestDetail": {
        "businessUnit": "CA",
        "currency": "USD",
        "language": "no",
        "requestedDate": "2021-11-19T13:55:45",
        "requestOrigin": "Standard",
        "requestOriginPage": "page1",
        "bookingId": "123",
        "campaigns": [
            {
                "assetName": "campaign_name",
                "code": "campaign_code",
                "type": "campaign_type"
            }
        ],
        "clientVersion": "123",
        "costIncludes": ["1", "2"],
        "cxid": "200624114637",
        "dataSource": "TRAVEL",
        "exchangeRate": 1,
        "experimentVariant": "exp_var_val",
        "isCustomerFamiliarWithProduct": True,
        "mainBookingCorePurchaseDate": "2020-06-26T11:46:37",
        "itemDeliveryMethod": "44444",
        "localTimestamp": "2020-06-26T11:46:37",
        "offerVersionId": 2,
        "options": [
            {
                "optionName": "RequestOptionTest",
                "optionValue": "5523"
            }
        ],
        "paymentMethod": "Cash",
        "savedCompanionCount": 2,
        "purchaseDate": "2021-11-19T13:55:45",
        "redemptionPoints": 23243,
        "requestCategories": ["Airfare"],
        "requestChannel": "WEB",
        "requestingHost": "4q42545",
        "salesOriginType": "internet",
        "searchPreference": {
            "flexibleDates": True,
            "includeNearbyAirports": True,
            "includeWeekends": True,
            "maxPrice": 100000,
            "minPrice": 10,
            "searchByPrice": True,
            "searchBySchedule": True,
            "savedFlightSearches": True,
            "sortAttribute": "sort_cgo"
        },
        "sequence": 17,
        "sessionId": "persist_auto_test_20201008113245",
        "trafficSource": "google",
        "transactionId": "iwantapires",
        "usePromotionCode": False,
        "vertical": "TRAVEL1",
        "visitorId": "333",
        "widgetKey": "keykey",
        "isInsuranceRequiredatDestination": True,
        "locations_cannot_use": ["LOCN_12221"],
        "organizationId": 747
    },
    "travel": {
        "departureDate": "2021-11-20T13:55:45",
        "destination": {
            "city": "San Francisco",
            "code": "YYY",
            "country": "US",
            "region": "CA"
        },
        "origin": {
            "city": "Dallas/Ft Worth",
            "code": "DFW",
            "country": "US",
            "region": "TX"
        },
        "totalCost": 500,
        "autoTrain": True,
        "brandedFare": "test0detail",
        "classOfService": "economy",
        "connection": "direct",
        "departureDateLocal": "2021-11-20T13:55:45",
        "includesConnection": False,
        "isDomestic": True,
        "options": [
            {
                "optionName": "123",
                "optionValue": "12"
            }
        ],
        "refundable": "true",
        "returnDate": "2021-11-23T13:55:45",
        "returnDateLocal": "2021-11-23T13:55:45",
        "routeGroup": "direct",
        "rewardMiles": 0,
        "ticketSalesType": "agent",
        "travelAgent": "None",
        "travelLegs": [
            {
                "destination": {
                    "city": "Dallas/Ft Worth",
                    "code": "DFW",
                    "country": "US",
                    "region": "TX"
                },
                "origin": {
                    "city": "Dallas/Ft Worth",
                    "code": "DFW",
                    "country": "US",
                    "region": "TX"
                },
                "sequence": 14
            }
        ],
        "travelPurpose": "leisure",
        "travelSegments": [
            {
                "arrivalDate": "2021-11-20T13:55:45",
                "brandedFare": "test1Seg",
                "departureDate": "2021-11-20T13:55:45",
                "destination": {
                    "city": "San Francisco",
                    "code": "SFO",
                    "country": "US",
                    "region": "CA"
                },
                "distanceTraveled": 100,
                "fareClass": "economy",
                "includesConnection": True,
                "isDomestic": True,
                "layoverDuration": 1,
                "options": [
                    {
                        "optionName": "TravelSegmentOptionTest",
                        "optionValue": "12"
                    }
                ],
                "origin": {
                    "city": "Dallas/Ft Worth",
                    "code": "DFW",
                    "country": "US",
                    "region": "TX"
                },
                "routeGroup": "direct",
                "sequence": 15,
                "travelLegs": [
                    {
                        "destination": {
                            "city": "San Francisco",
                            "code": "SFO",
                            "country": "US",
                            "region": "CA"
                        },
                        "origin": {
                            "city": "Dallas/Ft Worth",
                            "code": "DFW",
                            "country": "US",
                            "region": "TX"
                        },
                        "sequence": 16,
                        "arrivalDate": "2021-11-20T13:55:45",
                        "brandedFare": "test2Leg",
                        "classOfService": "economy",
                        "departureDate": "2021-11-20T13:55:45",
                        "equipmentType": "1",
                        "isDomestic": True,
                        "options": [
                            {
                                "optionName": "TravelLegOptionTest",
                                "optionValue": "12"
                            }
                        ],
                        "routeGroup": "direct",
                        "routeNumber": "12",
                        "seatAvailability": 0,
                        "seatCapacity": 12,
                        "travelDuration": 10,
                        "distanceTraveled": 10,
                        "fareClass": "top",
                        "layoverDuration": 1
                    }
                ],
                "classOfService": "economy"
            }
        ],
        "tripDuration": 7,
        "tripIndicator": "Round-trip",
        "jsVersion": "1.0.0-beta.18"
    },
    "products": {
        "0": {
            "installmentPrice": 32,
            "isAvailable": True,
            "isDefault": True,
            "isEditable": True,
            "isSelected": True,
            "packageCode": "Code12",
            "parentProductCode": "CXA1",
            "price": 1001,
            "pricePoints": [
                {
                    "isAvailable": True,
                    "isIncluded": True,
                    "price": 333,
                    "productOptions": [
                        {
                            "name": "nameofProduct",
                            "value": "5543"
                        }
                    ],
                    "productSequences": [
                        {
                            "sequence": 12,
                            "sequenceType": "Fast"
                        }
                    ],
                    "stepName": "First"
                }
            ],
            "productCategory": "Cat5",
            "productCode": "Code1",
            "supplierCode": "QA_LITE"
        },
        "productCode": "string",
        "supplierCode": "string"
    },
    "vehicles": { "0": {
            "age": 44,
            "annualDistance": 12,
            "antiTheftDevice": "anti_theft",
            "associatedTrailerSequence": 2223,
            "bodyStyle": "Van",
            "color": "Blue",
            "customEquipmentValue": 10101011,
            "edition": "v3",
            "engineSize": 4,
            "firstRegistrationDate": "2018-01-25T10:34:00",
            "fuelType": "fuel_type",
            "horsePower": 701,
            "imageURL": "http://imagelocation.com/aaa/a/abb",
            "isForBusinessUse": True,
            "isHighMileage": True,
            "isOriginalOwner": True,
            "lastRegistrationDate": "2018-01-25T10:34:00",
            "manufactureDate": "2018-01-25T10:34:00",
            "manufacturer": "Nissan",
            "model": "Titan",
            "options": [
                {
                    "optionName": "AirName",
                    "optionValue": "Value1"
                }
            ],
            "parkedAtNightLocation": "Garage",
            "plateNumber": "XLC-5565",
            "primaryDriverSequence": 3,
            "primaryUse": "AtoB",
            "regionWhereRegistered": "TX",
            "riskCategory": "4L",
            "sequence": 2,
            "situationOfRisk": "Risk2",
            "value": 2121,
            "vehicleIdentification": "42342532423",
            "vehicleType": "Truck",
            "weight": 5000,
            "yearsOwned": 3
        } },
    "cookies": [
        {
            "content": "test_not_defined_content",
            "name": "test_not_defined_name",
            "type": "test_not_defined_type"
        }
    ]
}
headers = {
    "FS-Distributor-Code": "FS-Distributor-Code",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/priceVerifications';
const options = {
  method: 'POST',
  headers: {
    'FS-Distributor-Code': 'FS-Distributor-Code',
    'Content-Type': 'application/json'
  },
  body: '{"additionalItems":[{"cost":12,"currencyType":"USD","description":"extracost","externalIdentifier":"12","name":"Bob","options":[{"optionName":"option1","optionValue":"12"}],"quantity":123,"sequence":11,"totalCost":3371}],"credentials":{"password":"cap_t_1","userName":"cap_t_1"},"customerAddress":{"address1":"3305 Street1","address2":"PO Box 303","city":"Victoria","country":"US","postalCode":"77901","region":"13"},"customers":[{"customerType":"Adult","sequence":10,"address":{"address1":"customerAddress1","address2":"customerAddress2","city":"Richmond","country":"Henrico","postalCode":"23294","region":"USA"},"age":0,"assistanceType":"Test","birthDate":"2019-01-25T00:00:00.000Z","canPersist":true,"customerId":"123","demographicInfo":{"occupation":"qa","ownershipStatus":"rent","residenceType":"Condo","yearsAtResidence":8},"discountType":"AutomationTestType","emailAddress":"qa@test.com","firstName":"customerFirstName","gender":"Male","includeForPricing":true,"includeInGroupDetermination":false,"lastName":"costomerLastName","motorRelated":[{"licenceStatus":"hasIt"}],"memberships":[{"level":"membership_level","name":"membership_name","number":"memberhsip_number","type":"membership_type"}],"middleInitial":"o","nationality":"usa","okToContact":false,"options":[{"optionName":"CustomerOptionTest","optionValue":"12"}],"phones":[{"areaCode":"512","countryCode":"001","isPrimary":true,"number":"8765309","type":"Home"}],"relationshipToPrimary":"SELF","salutation":"MR","suffix":"Sir","title":"QA Analyst","totalCost":500,"statusQualificationMiles":300,"statusQualificationSegments":400,"statusQualificationAmount":200,"statusCardSpend":100}],"events":[{"endDate":"2021-11-23T13:55:45","eventName":"None","majorCategory":"None","startDate":"2021-11-20T13:55:45","totalCost":500,"artistId":13,"artistName":"B52","eventEndDateLocal":"2021-11-23T13:55:45","isPremiumSeat":true,"isOvernightEvent":true,"minorCategory":"a","numberOfHours":12,"offerTypes":[{"offerDescription":"123445","offerTypeId":1111,"options":[{"optionName":"NameOfOption55","optionValue":"A"}]}],"onSaleDate":"2021-11-19T13:55:45","options":[{"optionName":"OptionA","optionValue":"110011"}],"outdoorEvent":true,"preSaleDate":"2021-11-19T13:55:45","refundable":"true","sequence":1,"eventStartDateLocal":"2021-11-20T13:55:45","ticketLimit":7,"ticketSalesType":"salesman","ticketType":"typeOfTicket","venue":{"city":"El Paso","code":"TX","country":"US","region":"Southwest"},"venueName":"Astrodome","venuePostalCode":"77979","venueCode":"XYSZ"}],"features":[{"code":"test_not_defined_code","alternatives":["test_not_defined_ai"]}],"gadget":{"browserType":"IE","browserVersion":"10","deviceCategory":"None","deviceType":"APPLE","font":"ariel","httpRequestHeaders":"e","ipAddress":"10.0.0.7","isCookiesAllowed":true,"language":"en","operatingSystem":"win5","operatingSystemVersion":"1","referringUrl":"www.google.com","requestingPlatform":"None","requestingPlatformVersion":"2","screenSize":"1","userAgent":"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0"},"incidents":{"0":{"customerSequence":9,"description":"Desc.","incidentType":"ABX","penaltyPoints":22,"vehicleSequence":98},"incidentType":"string"},"lodgings":[{"checkInDate":"2021-11-20T13:55:45","checkOutDate":"2021-11-23T13:55:45","totalCost":500,"accommodationType":"hotel","address":{"address1":"121 Saluria","address2":"P.O.Box 202","city":"Brussels","country":"Belgium","postalCode":"22011","region":"Europe"},"agencyRating":1,"availability":"yes","brandCategory":"brandCategory","cancelationPolicyType":"no_cancel","carbonMonoxideDetector":true,"chain":"Omni","checkInDateLocal":"2021-11-20T13:55:45","checkOutDateLocal":"2021-11-23T13:55:45","crib":false,"destination":{"city":"Boston","code":"MA","country":"FR","region":"NW"},"eventName":"Event1","fireExtinguisher":true,"hostName":"OmniHotel","hostStatus":"Excellent","hotTub":true,"indoorFirePlace":true,"instantBooking":true,"levelOfService":"Top","locationCategory":"5","locationType":"TypeLocation","name":"NameName","numberOfBedRooms":1,"numberOfBookingUnits":3,"options":[{"optionName":"Opt1","optionValue":"9685847"}],"petsAllowed":true,"propertyType":"Hotel","rateType":"Credit","refundable":"false","rollaway":true,"roomType":"Suite","smokeDetector":true,"smokingAllowed":false,"starRating":5,"thumbRating":3,"zone":"B","destinationLocation":"a","numberOfRooms":2}],"partner":{"distributorCode":"cap_t_1","externalCode":"123","externalSubCode":"321"},"providers":[{"providerType":"Serious","isPrimary":true,"options":[{"optionName":"Name1","optionValue":"Value1"}],"providerCode":"R7_Journey","providerName":"NameProvider"}],"rentalCars":[{"destination":{"city":"San Antonio","code":"ab","country":"USA","region":"South"},"endDate":"2021-11-23T13:55:45","origin":{"city":"San Antonio","code":"ab","country":"USA","region":"South"},"startDate":"2021-11-20T13:55:45","totalCost":500,"carClassCode":"CY","endDateLocal":"2021-11-23T13:55:45","isDomestic":true,"options":[{"optionName":"1Name1Name","optionValue":"1Value1Value"}],"rentalCarAgency":"hertz","rentalCarPickupLocation":"SA","startDateLocal":"2021-11-20T13:55:45"}],"requestDetail":{"businessUnit":"CA","currency":"USD","language":"no","requestedDate":"2021-11-19T13:55:45","requestOrigin":"Standard","requestOriginPage":"page1","bookingId":"123","campaigns":[{"assetName":"campaign_name","code":"campaign_code","type":"campaign_type"}],"clientVersion":"123","costIncludes":["1","2"],"cxid":"200624114637","dataSource":"TRAVEL","exchangeRate":1,"experimentVariant":"exp_var_val","isCustomerFamiliarWithProduct":true,"mainBookingCorePurchaseDate":"2020-06-26T11:46:37","itemDeliveryMethod":"44444","localTimestamp":"2020-06-26T11:46:37","offerVersionId":2,"options":[{"optionName":"RequestOptionTest","optionValue":"5523"}],"paymentMethod":"Cash","savedCompanionCount":2,"purchaseDate":"2021-11-19T13:55:45","redemptionPoints":23243,"requestCategories":["Airfare"],"requestChannel":"WEB","requestingHost":"4q42545","salesOriginType":"internet","searchPreference":{"flexibleDates":true,"includeNearbyAirports":true,"includeWeekends":true,"maxPrice":100000,"minPrice":10,"searchByPrice":true,"searchBySchedule":true,"savedFlightSearches":true,"sortAttribute":"sort_cgo"},"sequence":17,"sessionId":"persist_auto_test_20201008113245","trafficSource":"google","transactionId":"iwantapires","usePromotionCode":false,"vertical":"TRAVEL1","visitorId":"333","widgetKey":"keykey","isInsuranceRequiredatDestination":true,"locations_cannot_use":["LOCN_12221"],"organizationId":747},"travel":{"departureDate":"2021-11-20T13:55:45","destination":{"city":"San Francisco","code":"YYY","country":"US","region":"CA"},"origin":{"city":"Dallas/Ft Worth","code":"DFW","country":"US","region":"TX"},"totalCost":500,"autoTrain":true,"brandedFare":"test0detail","classOfService":"economy","connection":"direct","departureDateLocal":"2021-11-20T13:55:45","includesConnection":false,"isDomestic":true,"options":[{"optionName":"123","optionValue":"12"}],"refundable":"true","returnDate":"2021-11-23T13:55:45","returnDateLocal":"2021-11-23T13:55:45","routeGroup":"direct","rewardMiles":0,"ticketSalesType":"agent","travelAgent":"None","travelLegs":[{"destination":{"city":"Dallas/Ft Worth","code":"DFW","country":"US","region":"TX"},"origin":{"city":"Dallas/Ft Worth","code":"DFW","country":"US","region":"TX"},"sequence":14}],"travelPurpose":"leisure","travelSegments":[{"arrivalDate":"2021-11-20T13:55:45","brandedFare":"test1Seg","departureDate":"2021-11-20T13:55:45","destination":{"city":"San Francisco","code":"SFO","country":"US","region":"CA"},"distanceTraveled":100,"fareClass":"economy","includesConnection":true,"isDomestic":true,"layoverDuration":1,"options":[{"optionName":"TravelSegmentOptionTest","optionValue":"12"}],"origin":{"city":"Dallas/Ft Worth","code":"DFW","country":"US","region":"TX"},"routeGroup":"direct","sequence":15,"travelLegs":[{"destination":{"city":"San Francisco","code":"SFO","country":"US","region":"CA"},"origin":{"city":"Dallas/Ft Worth","code":"DFW","country":"US","region":"TX"},"sequence":16,"arrivalDate":"2021-11-20T13:55:45","brandedFare":"test2Leg","classOfService":"economy","departureDate":"2021-11-20T13:55:45","equipmentType":"1","isDomestic":true,"options":[{"optionName":"TravelLegOptionTest","optionValue":"12"}],"routeGroup":"direct","routeNumber":"12","seatAvailability":0,"seatCapacity":12,"travelDuration":10,"distanceTraveled":10,"fareClass":"top","layoverDuration":1}],"classOfService":"economy"}],"tripDuration":7,"tripIndicator":"Round-trip","jsVersion":"1.0.0-beta.18"},"products":{"0":{"installmentPrice":32,"isAvailable":true,"isDefault":true,"isEditable":true,"isSelected":true,"packageCode":"Code12","parentProductCode":"CXA1","price":1001,"pricePoints":[{"isAvailable":true,"isIncluded":true,"price":333,"productOptions":[{"name":"nameofProduct","value":"5543"}],"productSequences":[{"sequence":12,"sequenceType":"Fast"}],"stepName":"First"}],"productCategory":"Cat5","productCode":"Code1","supplierCode":"QA_LITE"},"productCode":"string","supplierCode":"string"},"vehicles":{"0":{"age":44,"annualDistance":12,"antiTheftDevice":"anti_theft","associatedTrailerSequence":2223,"bodyStyle":"Van","color":"Blue","customEquipmentValue":10101011,"edition":"v3","engineSize":4,"firstRegistrationDate":"2018-01-25T10:34:00","fuelType":"fuel_type","horsePower":701,"imageURL":"http://imagelocation.com/aaa/a/abb","isForBusinessUse":true,"isHighMileage":true,"isOriginalOwner":true,"lastRegistrationDate":"2018-01-25T10:34:00","manufactureDate":"2018-01-25T10:34:00","manufacturer":"Nissan","model":"Titan","options":[{"optionName":"AirName","optionValue":"Value1"}],"parkedAtNightLocation":"Garage","plateNumber":"XLC-5565","primaryDriverSequence":3,"primaryUse":"AtoB","regionWhereRegistered":"TX","riskCategory":"4L","sequence":2,"situationOfRisk":"Risk2","value":2121,"vehicleIdentification":"42342532423","vehicleType":"Truck","weight":5000,"yearsOwned":3}},"cookies":[{"content":"test_not_defined_content","name":"test_not_defined_name","type":"test_not_defined_type"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://uatgateway.partners.allianztravelinsurance.com/Core/CoreGatewayAPI/priceVerifications"

	payload := strings.NewReader("{\n  \"additionalItems\": [\n    {\n      \"cost\": 12,\n      \"currencyType\": \"USD\",\n      \"description\": \"extracost\",\n      \"externalIdentifier\": \"12\",\n      \"name\": \"Bob\",\n      \"options\": [\n        {\n          \"optionName\": \"option1\",\n          \"optionValue\": \"12\"\n        }\n      ],\n      \"quantity\": 123,\n      \"sequence\": 11,\n      \"totalCost\": 3371\n    }\n  ],\n  \"credentials\": {\n    \"password\": \"cap_t_1\",\n    \"userName\": \"cap_t_1\"\n  },\n  \"customerAddress\": {\n    \"address1\": \"3305 Street1\",\n    \"address2\": \"PO Box 303\",\n    \"city\": \"Victoria\",\n    \"country\": \"US\",\n    \"postalCode\": \"77901\",\n    \"region\": \"13\"\n  },\n  \"customers\": [\n    {\n      \"customerType\": \"Adult\",\n      \"sequence\": 10,\n      \"address\": {\n        \"address1\": \"customerAddress1\",\n        \"address2\": \"customerAddress2\",\n        \"city\": \"Richmond\",\n        \"country\": \"Henrico\",\n        \"postalCode\": \"23294\",\n        \"region\": \"USA\"\n      },\n      \"age\": 0,\n      \"assistanceType\": \"Test\",\n      \"birthDate\": \"2019-01-25T00:00:00.000Z\",\n      \"canPersist\": true,\n      \"customerId\": \"123\",\n      \"demographicInfo\": {\n        \"occupation\": \"qa\",\n        \"ownershipStatus\": \"rent\",\n        \"residenceType\": \"Condo\",\n        \"yearsAtResidence\": 8\n      },\n      \"discountType\": \"AutomationTestType\",\n      \"emailAddress\": \"qa@test.com\",\n      \"firstName\": \"customerFirstName\",\n      \"gender\": \"Male\",\n      \"includeForPricing\": true,\n      \"includeInGroupDetermination\": false,\n      \"lastName\": \"costomerLastName\",\n      \"motorRelated\": [\n        {\n          \"licenceStatus\": \"hasIt\"\n        }\n      ],\n      \"memberships\": [\n        {\n          \"level\": \"membership_level\",\n          \"name\": \"membership_name\",\n          \"number\": \"memberhsip_number\",\n          \"type\": \"membership_type\"\n        }\n      ],\n      \"middleInitial\": \"o\",\n      \"nationality\": \"usa\",\n      \"okToContact\": false,\n      \"options\": [\n        {\n          \"optionName\": \"CustomerOptionTest\",\n          \"optionValue\": \"12\"\n        }\n      ],\n      \"phones\": [\n        {\n          \"areaCode\": \"512\",\n          \"countryCode\": \"001\",\n          \"isPrimary\": true,\n          \"number\": \"8765309\",\n          \"type\": \"Home\"\n        }\n      ],\n      \"relationshipToPrimary\": \"SELF\",\n      \"salutation\": \"MR\",\n      \"suffix\": \"Sir\",\n      \"title\": \"QA Analyst\",\n      \"totalCost\": 500,\n      \"statusQualificationMiles\": 300,\n      \"statusQualificationSegments\": 400,\n      \"statusQualificationAmount\": 200,\n      \"statusCardSpend\": 100\n    }\n  ],\n  \"events\": [\n    {\n      \"endDate\": \"2021-11-23T13:55:45\",\n      \"eventName\": \"None\",\n      \"majorCategory\": \"None\",\n      \"startDate\": \"2021-11-20T13:55:45\",\n      \"totalCost\": 500,\n      \"artistId\": 13,\n      \"artistName\": \"B52\",\n      \"eventEndDateLocal\": \"2021-11-23T13:55:45\",\n      \"isPremiumSeat\": true,\n      \"isOvernightEvent\": true,\n      \"minorCategory\": \"a\",\n      \"numberOfHours\": 12,\n      \"offerTypes\": [\n        {\n          \"offerDescription\": \"123445\",\n          \"offerTypeId\": 1111,\n          \"options\": [\n            {\n              \"optionName\": \"NameOfOption55\",\n              \"optionValue\": \"A\"\n            }\n          ]\n        }\n      ],\n      \"onSaleDate\": \"2021-11-19T13:55:45\",\n      \"options\": [\n        {\n          \"optionName\": \"OptionA\",\n          \"optionValue\": \"110011\"\n        }\n      ],\n      \"outdoorEvent\": true,\n      \"preSaleDate\": \"2021-11-19T13:55:45\",\n      \"refundable\": \"true\",\n      \"sequence\": 1,\n      \"eventStartDateLocal\": \"2021-11-20T13:55:45\",\n      \"ticketLimit\": 7,\n      \"ticketSalesType\": \"salesman\",\n      \"ticketType\": \"typeOfTicket\",\n      \"venue\": {\n        \"city\": \"El Paso\",\n        \"code\": \"TX\",\n        \"country\": \"US\",\n        \"region\": \"Southwest\"\n      },\n      \"venueName\": \"Astrodome\",\n      \"venuePostalCode\": \"77979\",\n      \"venueCode\": \"XYSZ\"\n    }\n  ],\n  \"features\": [\n    {\n      \"code\": \"test_not_defined_code\",\n      \"alternatives\": [\n        \"test_not_defined_ai\"\n      ]\n    }\n  ],\n  \"gadget\": {\n    \"browserType\": \"IE\",\n    \"browserVersion\": \"10\",\n    \"deviceCategory\": \"None\",\n    \"deviceType\": \"APPLE\",\n    \"font\": \"ariel\",\n    \"httpRequestHeaders\": \"e\",\n    \"ipAddress\": \"10.0.0.7\",\n    \"isCookiesAllowed\": true,\n    \"language\": \"en\",\n    \"operatingSystem\": \"win5\",\n    \"operatingSystemVersion\": \"1\",\n    \"referringUrl\": \"www.google.com\",\n    \"requestingPlatform\": \"None\",\n    \"requestingPlatformVersion\": \"2\",\n    \"screenSize\": \"1\",\n    \"userAgent\": \"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0\"\n  },\n  \"incidents\": {\n    \"0\": {\n      \"customerSequence\": 9,\n      \"description\": \"Desc.\",\n      \"incidentType\": \"ABX\",\n      \"penaltyPoints\": 22,\n      \"vehicleSequence\": 98\n    },\n    \"incidentType\": \"string\"\n  },\n  \"lodgings\": [\n    {\n      \"checkInDate\": \"2021-11-20T13:55:45\",\n      \"checkOutDate\": \"2021-11-23T13:55:45\",\n      \"totalCost\": 500,\n      \"accommodationType\": \"hotel\",\n      \"address\": {\n        \"address1\": \"121 Saluria\",\n        \"address2\": \"P.O.Box 202\",\n        \"city\": \"Brussels\",\n        \"country\": \"Belgium\",\n        \"postalCode\": \"22011\",\n        \"region\": \"Europe\"\n      },\n      \"agencyRating\": 1,\n      \"availability\": \"yes\",\n      \"brandCategory\": \"brandCategory\",\n      \"cancelationPolicyType\": \"no_cancel\",\n      \"carbonMonoxideDetector\": true,\n      \"chain\": \"Omni\",\n      \"checkInDateLocal\": \"2021-11-20T13:55:45\",\n      \"checkOutDateLocal\": \"2021-11-23T13:55:45\",\n      \"crib\": false,\n      \"destination\": {\n        \"city\": \"Boston\",\n        \"code\": \"MA\",\n        \"country\": \"FR\",\n        \"region\": \"NW\"\n      },\n      \"eventName\": \"Event1\",\n      \"fireExtinguisher\": true,\n      \"hostName\": \"OmniHotel\",\n      \"hostStatus\": \"Excellent\",\n      \"hotTub\": true,\n      \"indoorFirePlace\": true,\n      \"instantBooking\": true,\n      \"levelOfService\": \"Top\",\n      \"locationCategory\": \"5\",\n      \"locationType\": \"TypeLocation\",\n      \"name\": \"NameName\",\n      \"numberOfBedRooms\": 1,\n      \"numberOfBookingUnits\": 3,\n      \"options\": [\n        {\n          \"optionName\": \"Opt1\",\n          \"optionValue\": \"9685847\"\n        }\n      ],\n      \"petsAllowed\": true,\n      \"propertyType\": \"Hotel\",\n      \"rateType\": \"Credit\",\n      \"refundable\": \"false\",\n      \"rollaway\": true,\n      \"roomType\": \"Suite\",\n      \"smokeDetector\": true,\n      \"smokingAllowed\": false,\n      \"starRating\": 5,\n      \"thumbRating\": 3,\n      \"zone\": \"B\",\n      \"destinationLocation\": \"a\",\n      \"numberOfRooms\": 2\n    }\n  ],\n  \"partner\": {\n    \"distributorCode\": \"cap_t_1\",\n    \"externalCode\": \"123\",\n    \"externalSubCode\": \"321\"\n  },\n  \"providers\": [\n    {\n      \"providerType\": \"Serious\",\n      \"isPrimary\": true,\n      \"options\": [\n        {\n          \"optionName\": \"Name1\",\n          \"optionValue\": \"Value1\"\n        }\n      ],\n      \"providerCode\": \"R7_Journey\",\n      \"providerName\": \"NameProvider\"\n    }\n  ],\n  \"rentalCars\": [\n    {\n      \"destination\": {\n        \"city\": \"San Antonio\",\n        \"code\": \"ab\",\n        \"country\": \"USA\",\n        \"region\": \"South\"\n      },\n      \"endDate\": \"2021-11-23T13:55:45\",\n      \"origin\": {\n        \"city\": \"San Antonio\",\n        \"code\": \"ab\",\n        \"country\": \"USA\",\n        \"region\": \"South\"\n      },\n      \"startDate\": \"2021-11-20T13:55:45\",\n      \"totalCost\": 500,\n      \"carClassCode\": \"CY\",\n      \"endDateLocal\": \"2021-11-23T13:55:45\",\n      \"isDomestic\": true,\n      \"options\": [\n        {\n          \"optionName\": \"1Name1Name\",\n          \"optionValue\": \"1Value1Value\"\n        }\n      ],\n      \"rentalCarAgency\": \"hertz\",\n      \"rentalCarPickupLocation\": \"SA\",\n      \"startDateLocal\": \"2021-11-20T13:55:45\"\n    }\n  ],\n  \"requestDetail\": {\n    \"businessUnit\": \"CA\",\n    \"currency\": \"USD\",\n    \"language\": \"no\",\n    \"requestedDate\": \"2021-11-19T13:55:45\",\n    \"requestOrigin\": \"Standard\",\n    \"requestOriginPage\": \"page1\",\n    \"bookingId\": \"123\",\n    \"campaigns\": [\n      {\n        \"assetName\": \"campaign_name\",\n        \"code\": \"campaign_code\",\n        \"type\": \"campaign_type\"\n      }\n    ],\n    \"clientVersion\": \"123\",\n    \"costIncludes\": [\n      \"1\",\n      \"2\"\n    ],\n    \"cxid\": \"200624114637\",\n    \"dataSource\": \"TRAVEL\",\n    \"exchangeRate\": 1,\n    \"experimentVariant\": \"exp_var_val\",\n    \"isCustomerFamiliarWithProduct\": true,\n    \"mainBookingCorePurchaseDate\": \"2020-06-26T11:46:37\",\n    \"itemDeliveryMethod\": \"44444\",\n    \"localTimestamp\": \"2020-06-26T11:46:37\",\n    \"offerVersionId\": 2,\n    \"options\": [\n      {\n        \"optionName\": \"RequestOptionTest\",\n        \"optionValue\": \"5523\"\n      }\n    ],\n    \"paymentMethod\": \"Cash\",\n    \"savedCompanionCount\": 2,\n    \"purchaseDate\": \"2021-11-19T13:55:45\",\n    \"redemptionPoints\": 23243,\n    \"requestCategories\": [\n      \"Airfare\"\n    ],\n    \"requestChannel\": \"WEB\",\n    \"requestingHost\": \"4q42545\",\n    \"salesOriginType\": \"internet\",\n    \"searchPreference\": {\n      \"flexibleDates\": true,\n      \"includeNearbyAirports\": true,\n      \"includeWeekends\": true,\n      \"maxPrice\": 100000,\n      \"minPrice\": 10,\n      \"searchByPrice\": true,\n      \"searchBySchedule\": true,\n      \"savedFlightSearches\": true,\n      \"sortAttribute\": \"sort_cgo\"\n    },\n    \"sequence\": 17,\n    \"sessionId\": \"persist_auto_test_20201008113245\",\n    \"traff
[...]
